Gifli API Docs
Api

Create a service account

Create a service account for one of your users. Each service account gets its own isolated user context. Fails if the app has reached its service account limit.

POST
/apps/{id}/serviceAccounts/

Authorization

BearerAuth
AuthorizationBearer <token>

Pass a user session token (from /auth/login) or an app API key (gk_…).

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/apps/string/serviceAccounts/" \  -H "Content-Type: application/json" \  -d '{    "displayName": "string"  }'
{  "id": "string",  "appId": "string",  "displayName": "string",  "createdAt": "2019-08-24T14:15:22Z",  "user": {    "id": "string",    "email": "string",    "createdAt": "2019-08-24T14:15:22Z"  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}